MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0032149Open CASCADE[OCCT] OCCT:DRAWpublic2021-02-20 20:192021-02-27 12:26
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityintegration request 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.6.0*Fixed in Version 
Summary0032149: Draw Harness, ViewerTest - remove obsolete command vfeedback
DescriptionCommand vfeedback relies on obsolete OpenGL functionality unavailable on OpenGL ES and within OpenGL Core Profile.

As there is no functionality in OCCT relying on this function (gl2ps option has been dropped), it is proposed removing unused command.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot required
Attached Files

- Relationships
child of 0028098verifiedbugmaster Visualization - errors in tests when using OpenGL ES (ANGLE) 

-  Notes
(0099007)
git (administrator)
2021-02-20 20:25

Branch CR32149 has been created by kgv.

SHA-1: d4e1f337b83b538ae523f51b03667a87bfef283e


Detailed log of new commits:

Author: kgv
Date: Sat Feb 20 20:25:31 2021 +0300

    0032149: Draw Harness, ViewerTest - remove obsolete command vfeedback
(0099010)
kgv (developer)
2021-02-20 21:14

Please raise the patch
- OCCT: branch CR32149.

http://jenkins-test-12.nnov.opencascade.com:8080/view/CR32149-master-KGV/view/OCCT%20compile/ [^]
(0099194)
bugmaster (administrator)
2021-02-27 11:49

Combination -
OCCT branch : IR-2021-02-26
master SHA - bc0711a5c3c2c9a627834136e10b13a8564c5a00
a87b7ddc8cb44606b91e3f37113847c3f5f50fdc
Products branch : IR-2021-02-26 SHA - 5c3782d3621ca4bd4a2339197c1c5cf352b51ac7
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17811.770000000153 / 17875.850000000235 [-0.36%]
Products
Total CPU difference: 11543.6500000001 / 11549.600000000113 [-0.05%]
Windows-64-VC14:
OCCT
Total CPU difference: 19344.3125 / 19351.640625 [-0.04%]
Products
Total CPU difference: 12900.578125 / 12845.234375 [+0.43%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0099218)
git (administrator)
2021-02-27 12:26

Branch CR32149 has been deleted by inv.

SHA-1: d4e1f337b83b538ae523f51b03667a87bfef283e

- Related Changesets
occt: master 4464c6b5
Timestamp: 2021-02-20 17:25:31
Author: kgv
Committer: bugmaster
Details ] Diff ]
0032149: Draw Harness, ViewerTest - remove obsolete command vfeedback
mod - src/ViewerTest/ViewerTest_OpenGlCommands.cxx Diff ] File ]
rm - tests/bugs/vis/bug23227 Diff ] File ]

- Issue History
Date Modified Username Field Change
2021-02-20 20:19 kgv New Issue
2021-02-20 20:19 kgv Assigned To => kgv
2021-02-20 20:19 kgv Relationship added child of 0028098
2021-02-20 20:25 git Note Added: 0099007
2021-02-20 21:14 kgv Note Added: 0099010
2021-02-20 21:14 kgv Status new => resolved
2021-02-20 21:14 kgv Status resolved => reviewed
2021-02-27 11:49 bugmaster Note Added: 0099194
2021-02-27 11:49 bugmaster Status reviewed => tested
2021-02-27 11:52 bugmaster Test case number => Not required
2021-02-27 11:59 bugmaster Changeset attached => occt master 4464c6b5
2021-02-27 11:59 bugmaster Assigned To kgv => bugmaster
2021-02-27 11:59 bugmaster Status tested => verified
2021-02-27 11:59 bugmaster Resolution open => fixed
2021-02-27 12:26 git Note Added: 0099218


Copyright © 2000 - 2021 MantisBT Team
Powered by Mantis Bugtracker